package com.ruoyi.set.mapper;

import java.util.List;
import com.ruoyi.set.domain.SetImageUpload;

/**
 * 七牛云设置Mapper接口
 * 
 * @author LCL
 * @date 2023-07-10
 */
public interface SetImageUploadMapper 
{
    /**
     * 查询七牛云设置
     * 
     * @param id 七牛云设置主键
     * @return 七牛云设置
     */
    public SetImageUpload selectSetImageUploadById(Long id);

    /**
     * 查询七牛云设置列表
     * 
     * @param setImageUpload 七牛云设置
     * @return 七牛云设置集合
     */
    public List<SetImageUpload> selectSetImageUploadList(SetImageUpload setImageUpload);

    /**
     * 新增七牛云设置
     * 
     * @param setImageUpload 七牛云设置
     * @return 结果
     */
    public int insertSetImageUpload(SetImageUpload setImageUpload);

    /**
     * 修改七牛云设置
     * 
     * @param setImageUpload 七牛云设置
     * @return 结果
     */
    public int updateSetImageUpload(SetImageUpload setImageUpload);

    /**
     * 删除七牛云设置
     * 
     * @param id 七牛云设置主键
     * @return 结果
     */
    public int deleteSetImageUploadById(Long id);

    /**
     * 批量删除七牛云设置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSetImageUploadByIds(Long[] ids);
}
